python-jenkinsapi_0.2.29-1_all.deb


Advertisement

Description

python-jenkinsapi - bindings for Python usage of the Jenkins remote API

Distribution: Ubuntu 16.04 LTS (Xenial Xerus)
Repository: Ubuntu Universe amd64
Package name: python-jenkinsapi
Package version: 0.2.29
Package release: 1
Package architecture: all
Package type: deb
Installed size: 194 B
Download size: 36.91 KB
Official Mirror: archive.ubuntu.com
Jenkins is the market leading continuous integration system, originally created by Kohsuke Kawaguchi. This API makes Jenkins even easier to use by providing an easy to use conventional Python interface. Jenkins (and its predecessor Hudson) are useful projects for automating common development tasks (e.g., unit-testing, production batches) - but they are somewhat Java-centric. Thankfully the designers have provided an excellent and complete REST interface. This library wraps up that interface as more conventional Python objects in order to make most Jenkins-oriented tasks simpler.

Alternatives

Provides

  • python2.7-jenkinsapi

    Download

    Source package: python-jenkinsapi

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install python-jenkinsapi deb package:
      # sudo apt-get install python-jenkinsapi

    Files

    • /usr/bin/jenkins_invoke
    • /usr/bin/jenkinsapi_version
    • /usr/lib/python2.7/dist-packages/jenkinsapi/__init__.py
    • /usr/lib/python2.7/dist-packages/jenkinsapi/api.py
    • /usr/lib/python2.7/dist-packages/jenkinsapi/artifact.py
    • /usr/lib/python2.7/dist-packages/jenkinsapi/build.py
    • /usr/lib/python2.7/dist-packages/jenkinsapi/config.py
    • /usr/lib/python2.7/dist-packages/jenkinsapi/constants.py
    • /usr/lib/python2.7/dist-packages/jenkinsapi/credential.py
    • /usr/lib/python2.7/dist-packages/jenkinsapi/credentials.py
    • /usr/lib/python2.7/dist-packages/jenkinsapi/custom_exceptions.py
    • /usr/lib/python2.7/dist-packages/jenkinsapi/executor.py
    • /usr/lib/python2.7/dist-packages/jenkinsapi/executors.py
    • /usr/lib/python2.7/dist-packages/jenkinsapi/fingerprint.py
    • /usr/lib/python2.7/dist-packages/jenkinsapi/jenkins.py
    • /usr/lib/python2.7/dist-packages/jenkinsapi/jenkinsbase.py
    • /usr/lib/python2.7/dist-packages/jenkinsapi/job.py
    • /usr/lib/python2.7/dist-packages/jenkinsapi/jobs.py
    • /usr/lib/python2.7/dist-packages/jenkinsapi/mutable_jenkins_thing.py
    • /usr/lib/python2.7/dist-packages/jenkinsapi/node.py
    • /usr/lib/python2.7/dist-packages/jenkinsapi/nodes.py
    • /usr/lib/python2.7/dist-packages/jenkinsapi/plugin.py
    • /usr/lib/python2.7/dist-packages/jenkinsapi/plugins.py
    • /usr/lib/python2.7/dist-packages/jenkinsapi/queue.py
    • /usr/lib/python2.7/dist-packages/jenkinsapi/result.py
    • /usr/lib/python2.7/dist-packages/jenkinsapi/result_set.py
    • /usr/lib/python2.7/dist-packages/jenkinsapi/view.py
    • /usr/lib/python2.7/dist-packages/jenkinsapi/views.py
    • /usr/lib/python2.7/dist-packages/jenkinsapi-0.2.29.egg-info/PKG-INFO
    • /usr/lib/python2.7/dist-packages/jenkinsapi-0.2.29.egg-info/dependency_links.txt
    • /usr/lib/python2.7/dist-packages/jenkinsapi-0.2.29.egg-info/entry_points.txt
    • /usr/lib/python2.7/dist-packages/jenkinsapi-0.2.29.egg-info/requires.txt
    • /usr/lib/python2.7/dist-packages/jenkinsapi-0.2.29.egg-info/top_level.txt
    • /usr/lib/python2.7/dist-packages/jenkinsapi-0.2.29.egg-info/zip-safe
    • /usr/lib/python2.7/dist-packages/jenkinsapi/command_line/__init__.py
    • /usr/lib/python2.7/dist-packages/jenkinsapi/command_line/jenkins_invoke.py
    • /usr/lib/python2.7/dist-packages/jenkinsapi/command_line/jenkinsapi_version.py
    • /usr/lib/python2.7/dist-packages/jenkinsapi/utils/__init__.py
    • /usr/lib/python2.7/dist-packages/jenkinsapi/utils/krb_requester.py
    • /usr/lib/python2.7/dist-packages/jenkinsapi/utils/requester.py
    • /usr/lib/python2.7/dist-packages/jenkinsapi_tests/__init__.py
    • /usr/share/doc/python-jenkinsapi/README.rst.gz
    • /usr/share/doc/python-jenkinsapi/changelog.Debian.gz
    • /usr/share/doc/python-jenkinsapi/copyright

    Changelog

    2015-11-19 - ahs3 <ahs3@debian.org> python-jenkinsapi (0.2.29-1) unstable; urgency=medium * Update to latest upstream. * Update watch file. * Closes: #754802 -- unusual field Python-Versions; removed, since this was a typo, and the original control file field has been deprecated

    2014-01-07 - Al Stone <ahs3@debian.org> python-jenkinsapi (0.2.16-2) unstable; urgency=medium * Closes: #734433 -- "Python-Versions" not "Python-Verions".

    2014-01-06 - Al Stone <ahs3@debian.org> python-jenkinsapi (0.2.16-1) unstable; urgency=medium * Update to latest upstream. * Closes: #725589 -- FTBS due to unexpected upstream changes

    2012-08-26 - Al Stone <ahs3@debian.org> python-jenkinsapi (0.1.11-5) unstable; urgency=low * Correct Build-Depends for dh addon. * Correct Depends for pkg_resources module.

    2012-08-08 - Al Stone <ahs3@debian.org> python-jenkinsapi (0.1.11-4) unstable; urgency=low * Closes: #684304 -- managed to depend on python 2.6 and 2.7 at the same time with overzealous use of ${python:Versions} in the control file.

    2012-08-07 - Al Stone <ahs3@debian.org> python-jenkinsapi (0.1.11-3) unstable; urgency=low * Closes: #684145 -- dumb mistake, forgot a build-dep * Change package to 'all', not 'any' architecture.

    2012-08-06 - Al Stone <ahs3@debian.org> python-jenkinsapi (0.1.11-2) unstable; urgency=low * Replace usage of python-support with dh_python2 * Closes: #683458 -- now that dh_python2 is being used, package is being built correctly and is no longer empty on rebuild * Closes: #683460 -- corrected package dependencies

    2012-07-24 - Al Stone <ahs3@debian.org> python-jenkinsapi (0.1.11-1) unstable; urgency=low * Initial release (Closes: #682114)

    Advertisement
    Advertisement